This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 853929 - cups printers not available from kde or libreoffice
cups printers not available from kde or libreoffice
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 06:44 EDT by Erwan ADAM
Modified: 2012-09-20 09:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 09:40:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erwan ADAM 2012-09-03 06:44:47 EDT
Description of problem:

With Fedora 16 and 17, I write the /etc/cups/client.conf with the
server name where the system should find the printer list :
[adam@is210376 admin]$ cat /etc/cups/client.conf 
ServerName vulcain
On other distributions (mandriva for instance) this information is
sufficient for all tools to find the printers.
On fedora 16/17, it works with firefox or evince but it does not 
with libreoffice or kde tools (like kwrite or okular).
local cups server (installed as default) has been deactivate but
it changes nothing

Version-Release number of selected component (if applicable):

Fedora 17
libreoffice-core-3.5.2.1-6.fc17.x86_64
cups-1.5.2-12.fc17.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Fill /etc/cups/client.conf with the network cups server
2. Launch libreoffice on any document
3. Try to print --> Only Generic Printer appears

Idem for okular or evince
  
Actual results:

The printer list does not appear

Expected results:

The printer list must appear

Additional info:

In my case, I think that local cups server is not useful but
I can launch it with various parameters if useful
Comment 1 Erwan ADAM 2012-09-20 09:40:31 EDT
This problem has been solved by re-installing cups server
with newest version (1.4.2). Now, everything works as expected.

Note You need to log in before you can comment on or make changes to this bug.